<%@ page contentType="text/html; charset=UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
 <jsp:directive.page contentType="text/html; charset=UTF-8" />

 <link rel="stylesheet" type="text/css" href="css/screen.css" />
 <%
     int pageNumber=1;
     if(request.getParameter("page") != null) {
       session.setAttribute("page", request.getParameter("page"));
       pageNumber = Integer.parseInt(request.getParameter("page"));
     } else {
       session.setAttribute("page", "1");
     }
     String nextPage = (pageNumber +1) + "";
     session.setAttribute( "EmpList", devmanuals.dao.DAO.getData(pageNumber));
     System.out.println(((java.util.List)session.getAttribute("EmpList")).size());
     String myUrl = "contact.jsp?page=" + nextPage;
     System.out.println(myUrl);
     pageContext.setAttribute("myUrl", myUrl);
%>
 <h2 align="center">Showing Table Records</h2>
 <jsp:useBean id="EmpList" scope="session" type="java.util.List"></jsp:useBean>
 <table>
   <tr>
     <th>Id</th>
     <th>Fname</th>
     <th>Lname</th>
     <th>Email</th>
     <th>Mobile</th>
     <th>Date</th>
     <th>Web Site</th>
     <th>Creation Date</th>
     
   </tr>
   <c:forEach items="${EmpList}" var="emp" begin="0" end="10">
     <tr>
       <td><c:out value="${emp.id}"></c:out>&nbsp;&nbsp;&nbsp;</td>
       <td><c:out value="${emp.firstName}"></c:out></td>
       <td><c:out value="${emp.lastName}"></c:out></td>
       <td><c:out value="${emp.emailId}"></c:out></td>
       <td><c:out value="${emp.cellNo}"></c:out></td>
       <td><c:out value="${emp.birthDate}"></c:out></td>
       <td><c:out value="${emp.website}"></c:out></td>
       <td><c:out value="${emp.created}"></c:out></td>
     </tr>
   </c:forEach>

   <tr>
     <td colspan="2"></td>
     <td colspan="2"><a href="${pageScope.myUrl}">Next Page</a></td>
   </tr>
 </table>